System.ServiceModel 4.0.0.0 System.Object System.IEquatable<System.ServiceModel.Channels.WebSocketTransportSettings> To be added.

Represents settings for web socket transport.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Field
  4.0.0.0
  System.String null To be added.

  Specifies the header for the binary encoder transfer mode.

- Field
  4.0.0.0
  System.String To be added.

  Specifies the action when web socket binary message is received.

- Field
  4.0.0.0
  System.String null To be added.

  Specifies the action when web socket connection is opened.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets the create notification during connection.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a value that indicates whether the web socket masking is disabled.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the specified web socket transport settings object is equal with the current object.

  true if the specified object is equal with the current object; otherwise, false.

  The web socket transport settings object to compare with the current object.
- Property
  4.0.0.0
  System.TimeSpan To be added. To be added.

  Gets or sets the value of the keep alive interval of the connection.

- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets or sets the maximum number of allowed pending connections.

- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets or sets the size of the receive buffer of the socket.

- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets or sets the size of the send buffer of the socket.

- Field
  4.0.0.0
  System.String null To be added.

  Specifies the soap content type header.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the web socket sub protocol.

- Field
  4.0.0.0
  System.String To be added.

  Specifies the action when web socket text message is received.

- Property
  4.0.0.0
  System.ServiceModel.Channels.WebSocketTransportUsage To be added. To be added.

  Gets or sets the web socket transport usage.